GIMP en ventana única

Uno de los mayores reproches que siempre se le han hecho a GIMP, el conocido programa de edición de imágenes libre, es que utilizaba ventanas flotantes para la caja de herramientas y para otros diálogos, como las capas o los canales. Por eso fueron muchos los que se alegraron cuando, hace algo más de un mes, se confirmó que GIMP 2.8 solucionaría esta situación, permitiendo a los usuarios elegir entre el uso de una ventana única, al estilo de Photoshop, o el de varias ventanas, como venía siendo habitual.

Gimp en ventana única

Hace unos días el desarrollador de esta nueva funcionalidad, Martin Nordholts (Enselic), mostraba una primera captura de este nuevo modo de ventana única, captura de la que se han hecho eco, entre otros, en Genbeta y en Menéame.

Si queréis probar este nuevo modo de ventana única, podéis descargar el código fuente de la versión de desarrollo y compilarlo, como explican, para Ubuntu, en OMG! Ubuntu!.

Para ello primero descargamos el código fuente de babl 0.1.0 y gegl 0.1.0, y descomprimimos, compilamos e instalamos estas dependencias:

tar xvjf babl-0.1.0.tar.bz2
tar xvjf gegl-0.1.0.tar.bz2
cd babl-0.1.0
./configure
make
sudo make install
cd ../gegl-0.1.0/
./configure
make
sudo make install

Instalamos git-core, el software para interactuar con git, y libtool, necesario para configurar la compilación de GIMP:

sudo aptitude install git-core libtool

descargamos el código fuente de la última versión de GIMP:

cd
git clone git://git.gnome.org/gimp

compilamos e instalamos:

cd gimp
./autogen.sh --disable-gtk-doc --without-libtiff
make
sudo make install

Y listo. Para iniciar GIMP escribe en la consola:

LD_LIBRARY_PATH=/usr/local/lib /usr/local/bin/gimp-2.7

Para activar el modo de ventana única, marca la opción en Ventanas -> Single-window mode.

29 pensamientos en “GIMP en ventana única”

  1. Pues como este sea el camino yo creo que es un paso atrás, ya que por defecto tienes menos espacio para editar la foto. Los profesionales que yo conozco en este área apenas usan los menús, todas las llamadas las hacen con atajos de teclado (sí, ya se que dicen que puedes elegir, pero al final sólo se centarán en uno, que tampoco son tantos trabajando en gimp).

    A parte sin nos fijamos en “los grandes programas a imitar de adobe” en realidad también están compuestos por ventanas flotantes, solo que estas siempre quedan por encima de la ventana que contiene la imagen. Ahí creo que el problema es de windows y que gimp no está pensado para este, ya que no es capaz de administrar las bien ventanas desde el entorno (ironico ¿no?) y tiene que hacerlo el desarrollador limitando los gustos del usuario, mientras que en los escritorios de linux (creo que en todos) puedes hacer que una ventana esté siempre por encima de los demás y (en algunos) agruparlas como te guste.

      1. +1

        Esto es lo mejor, para usuarios que van empezando y no saben usar gimp es mejor empezar por algo “facil de ver”. A los de experiencia se puede elegir el modo de ventanas flotantes.

    1. Pero no solo es la paleta de herramientas, sino la configuración de cada herramienta, o las capas, o el historial de deshacer, o los pinceles…
      Son muchas cosas las que cuando le das a maximizar, quedan molestando. Yo soy pro-una-ventana, pero para gustos los colores

    2. Y tanto que es un paso atrás, algunas personas que no soportan el modo actual de funcionar de Gimp (yo para más señas) podrían decidirse a usarlo y, lógicamente, el objetivo es que los usuarios de Gimp usen la interfaz que a ti te parece mejor y no la que a ellos les guste más. El software que sea libre, pero la interfaz que sea la que me sale de mis santos cojones.

      Joder, pues menos mal que es opcional y que tú ni te vas a enterar, que si llegan a poner una pantallita preguntando que interfaz quieres al arrancar por primera vez no quiero ni pensar lo que hubieras comentado :P.

      Y ahora, ya en serio, una buenísima noticia, puede que esto sea el principio del fin de “mi interfaz es la mejor y por eso no la cambio y es la que tienes que usar y todos vosotros estáis equivocados”.

      Y por cierto, ¿cuantos años tiene esta petición?, lo menos 6 o 7.

  2. A mi me parece excelente. No voy a hablar de los profesionales que conozco porque, para que mentir, no me interesa como trabajan 🙂 Pero a mi me resultaba INCOMODO las ventanas flotantes…

    Lo mejor es que cada usuario lo puede poner a su gusto particular.

    Me veo usando mucho mas GIMP a partir de ahora.

  3. Pues para mi parece bien la opcion de ponerlo en una ventana. Siempre he odiado la interfaz que tiene Gimp. Para mi la mejor implementacion de ventanas en una aplicacion de edicion de imagenes es Pixelmator, si fueran asi las ventanas de Gimp no me molestara.

  4. Pingback: Prueba Gimp Monoventana! - GnDx

  5. al gimp le vendria buen un lavado de cara, trabajo de titanes para portarlo a qt4.5. Acabaria con una interfaz mucho mas limpia y configurable. Y con mejor base :p

    aunque se que no va a pasar.

  6. Últimamente eso en Gimp no era tanto problema ya que todas las ventanas (por lo menos con el gestor de ventanas metacity) aparecían como una sola, al darle click a cualquiera subian a primer plano todas lan ventanas de gimp, antes era canson porque uno tenia en la lista de ventanas un monton de botones de ventanas solo de Gimp ahora no. No se en otrs escritorios y sistemas operativos pero en ubuntu funciona asi y es muy comodo.

  7. Pingback: Gimp intr-o singura fereastra « DjG Temple

  8. esta instruccion falla: ./autogen.sh –disable-gtk-doc –without-libtiff

    cuando quiero instalar el make me dice q no existe ningun makefile…

    parece q no reconoció la instalacion del gegl

    alguna ayuda?

  9. checking for GEGL… configure: error: Package requirements (gegl >= 0.1.0) were not met:

    Requested ‘gegl >= 0.1.0’ but version of GEGL is 0.0.22

    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively, you may set the environment variables GEGL_CFLAGS
    and GEGL_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.

    Configure failed or did not finish!

    ESE ES EL ERROR Q TIRA; instale el gegl con lo q tu dijiste y tb tira error, asi q utilicé synaptic para isntalarlo y todo ok… no cacho q onda… =(

  10. este gimp me gusta mas asi pero como es una version inconclusa es muy inestable y me ocupa mucha memoria,me esperare a ke salga la version definitiva y kiero volver a usar mi Gimp 2.6 pero me sale este mensaje:

    Libgimp version mismatch!

    The GIMP binary cannot run with a libgimp version
    other than its own. This is GIMP 2.6.7, but the
    libgimp version is 2.7.1.

    Maybe you have GIMP versions in both /usr and /usr/local ?

    en verdad me urge volver a trabajar, necesito entregar unas restauraciones de unas fotos en verdad agradeceria ke me ayudaran a regresar al anterior.

  11. Pingback: 101 programas gratis

  12. Pingback: 100 programas gratis « Bichotoblog

  13. Me parece extraordinario… Sobre todo poder escoger, escoger es libertad… Realmente los usuarios noveles GIMP necesitábamos esta opción, las ventanas flotantes son realmente incómodas ya que se mantienen siempre por encima del lienzo.

    Antes tenías que configurar tus ventanas en una posición y luego guardar la posición actual en el panel de opciones.

    Extraordinaria iniciativa!!!

  14. Me funciono.. auqnue falta mucho por espesificar porque estuve 3 hs para hacerlo y afronte como 5 o 6 errores en todo el proceso, es un grandisimo aporte, pero me gustaria un acceso directo como se podria?

  15. Pingback: Gimp en una sola ventana

  16. Pingback: 100 programas gratis | Bichotoblog

  17. me aparece este error :

    exumer91@ubuntu:~/gimp$ ./autogen.sh –disable-gtk-doc –without-libtiff

    I am testing that you have the tools required to build the
    GNU Image Manipulation Program from git. This test is not foolproof,
    so if anything goes wrong, see the file HACKING for more information…

    checking for libtool >= 1.5 … Major version might be too new (2.2.6)
    skipping test for gtkdocize
    checking for autoconf >= 2.54 …
    You must have autoconf installed to compile GNU Image Manipulation Program.
    Download the appropriate package for your distribution,
    or get the source tarball at ftp://ftp.gnu.org/pub/gnu/autoconf/

    checking for automake >= 1.9.6 …
    You must have automake 1.9.6 or newer installed to compile GNU Image Manipulation Program.
    Download the appropriate package for your distribution,
    or get the source tarball at ftp://ftp.gnu.org/pub/gnu/automake/

    ./autogen.sh: 182: automake-1.9: not found
    Major version might be too new (1.9.6)
    checking for intltool >= 0.40.1 …
    You must have intltool installed to compile GNU Image Manipulation Program.
    Get the latest version from
    ftp://ftp.gnome.org/pub/GNOME/sources/intltool/

    checking for xsltproc … yes

    Please install/upgrade the missing tools and call me again.

Responder a cheer_ Cancelar respuesta

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.